OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::SubThreadQueueOut< TDatums, TWorker, TQueue > Class Template Reference

`#include <subThreadQueueOut.hpp>`

Inherits op::SubThread< TDatums, TWorker >.

## Public Member Functions
| SubThreadQueueOut (const std::vector< TWorker > &tWorkers, const std::shared_ptr< TQueue > &tQueueOut)
virtual | ~SubThreadQueueOut ()
bool | work ()
Public Member Functions inherited from op::SubThread< TDatums, TWorker >
| SubThread (const std::vector< TWorker > &tWorkers)
virtual | ~SubThread ()
void | initializationOnThread ()

## Additional Inherited Members
Protected Member Functions inherited from op::SubThread< TDatums, TWorker >
size_t | getTWorkersSize () const
bool | workTWorkers (TDatums &tDatums, const bool inputIsRunning)

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker , typename TQueue >

op::SubThreadQueueOut< TDatums, TWorker, TQueue >::SubThreadQueueOut | ( | const std::vector< TWorker > & | tWorkers,
|  | const std::shared_ptr< TQueue > & | tQueueOut
| ) |  |

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

virtual op::SubThreadQueueOut< TDatums, TWorker, TQueue >::~SubThreadQueueOut | ( |  | ) |
| virtual

## Member Function Documentation

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

bool op::SubThreadQueueOut< TDatums, TWorker, TQueue >::work | ( |  | ) |
| virtual

Implements op::SubThread< TDatums, TWorker >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/subThreadQueueOut.hpp